{
  "name": "truck-delivery-app",
  "version": "1.0.0",
  "main": "node_modules/expo/AppEntry.js",
  "scripts": {
    "start": "expo start",
    "android": "expo start --android",
    "ios": "expo start --ios",
    "web": "expo start --web"
  },
  "dependencies": {
    "@expo/vector-icons": "^15.0.3",
    "@react-native-async-storage/async-storage": "2.2.0",
    "@react-native-community/datetimepicker": "8.4.4",
    "@react-native-community/netinfo": "^11.4.1",
    "@react-navigation/bottom-tabs": "^6.6.1",
    "@react-navigation/native": "^6.1.18",
    "@react-navigation/native-stack": "^6.9.22",
    "@react-navigation/stack": "^6.4.1",
    "axios": "^1.8.4",
    "babel-preset-expo": "^54.0.4",
    "expo": "^54.0.13",
    "expo-background-fetch": "~14.0.7",
    "expo-camera": "~17.0.8",
    "expo-constants": "~18.0.9",
    "expo-device": "~8.0.9",
    "expo-file-system": "~19.0.17",
    "expo-font": "~14.0.9",
    "expo-image-picker": "~17.0.8",
    "expo-linear-gradient": "~15.0.7",
    "expo-location": "~19.0.7",
    "expo-maps": "~0.12.8",
    "expo-notifications": "~0.32.12",
    "expo-splash-screen": "~31.0.10",
    "expo-sqlite": "~16.0.8",
    "expo-status-bar": "~3.0.8",
    "expo-task-manager": "~14.0.7",
    "geokit": "^1.1.0",
    "metro-react-native-babel-transformer": "^0.77.0",
    "react": "19.1.0",
    "react-native": "0.81.4",
    "react-native-draggable": "^3.3.0",
    "react-native-gesture-handler": "~2.28.0",
    "react-native-linear-gradient": "^2.8.3",
    "react-native-maps": "1.20.1",
    "react-native-modalize": "^2.1.1",
    "react-native-portalize": "^1.0.7",
    "react-native-reanimated": "~4.1.1",
    "react-native-safe-area-context": "~5.6.0",
    "react-native-screens": "~4.16.0",
    "react-native-signature-canvas": "^4.7.2",
    "react-native-svg": "15.12.1",
    "react-native-vector-icons": "^10.2.0",
    "react-native-webview": "13.15.0",
    "react-native-worklets": "0.5.1"
  },
  "devDependencies": {
    "@babel/core": "^7.20.0",
    "@types/react": "~19.1.10",
    "@types/react-native-vector-icons": "^6.4.18",
    "react-native-dotenv": "^3.4.11",
    "react-native-svg-transformer": "^1.5.1",
    "typescript": "~5.9.2"
  },
  "expo": {
    "doctor": {
      "reactNativeDirectoryCheck": {
        "exclude": [
          "react-native-modalize",
          "geokit",
          "react-native-draggable",
          "react-native-portalize",
          "react-native-vector-icons"
        ],
        "listUnknownPackages": false
      }
    }
  },
  "private": true
}
